curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/sales/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/sales/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/sales/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/sales/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/sales/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/sales/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a08b36-6a33-7573-bd0d-5b9c39f2e0b9",
"workspace_id": "01a08b36-6a33-7573-bd0d-5b9ddfdd515b",
"name": "Enterprise Outreach Agent",
"status": 1,
"initial_scrape_ready": false,
"timestamp_created": "2026-09-10T12:06:34.291Z",
"timestamp_updated": "2026-09-10T12:06:34.291Z",
"description": "Targets enterprise companies in tech sector",
"type": "website",
"input": "https://example.com",
"config": {
"memory": {},
"position_details": "Senior Software Engineer - Full-stack development with React and Node.js",
"investment_details": "Seed-stage B2B SaaS companies in fintech with strong recurring revenue",
"research_details": "Interviewing product managers at mid-size tech companies about onboarding workflows",
"partnership_details": "Looking for B2B companies from pharma for a partnership in distributing our product",
"enrichment_settings": {
"enrichment_limit_per_run": 30,
"signal_targeting_enabled": true,
"signal_targeting_categories": [
"website_funding"
]
},
"outreach_settings": {
"opt_out_settings": {
"text_opt_out_enabled": true
}
},
"autonomy_settings": {
"autopilot_mode": false,
"auto_reply_to_responses": false,
"manual_leads_mode": false
}
},
"created_by": "01a08b36-6a33-7573-bd0d-5b9e845f1e69",
"master_lead_list_id": "01a08b36-6a33-7573-bd0d-5b9f3782d39f",
"agent_type": 2,
"self_improvement": false,
"timestamp_last_action": "2026-09-10T12:06:34.291Z",
"timestamp_last_decision": "2026-09-10T12:06:34.291Z",
"next_decision_time": "2026-09-10T12:06:34.291Z"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Get an AI Sales Agent
Retrieve a single AI Sales Agent with its full configuration.
Requires one of the following scopes: ai_sdr:read, ai_sdr:all, all:read, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
AI Sales Agent ID
"01a08b36-b277-7624-9f8a-290035be2eba"
Response
The requested AI Sales Agent
An AI Sales Development Representative that autonomously manages outreach campaigns
Unique identifier for the AI Sales Agent
"01a08b36-6a33-7573-bd0d-5b9c39f2e0b9"
Workspace ID that owns this AI Sales Agent
"01a08b36-6a33-7573-bd0d-5b9ddfdd515b"
Name of the AI Sales Agent
"Enterprise Outreach Agent"
Status of the AI Sales Agent
-1, 0, 1 1
Indicates whether the initial website scrape has been completed
false
Timestamp when the AI Sales Agent was created
"2026-09-10T12:06:34.291Z"
Timestamp when the AI Sales Agent was last updated
"2026-09-10T12:06:34.291Z"
Description of the AI Sales Agent
"Targets enterprise companies in tech sector"
The type of business details extraction method used (website scraping or pitch deck). Required unless memory_from_workspace is true.
website, pitch_deck "website"
The input used for creation: URL for website scraping or text content for pitch deck extraction. Required unless memory_from_workspace is true.
"https://example.com"
Configuration for the AI Sales Agent including memory, enrichment settings, outreach settings, and autonomy settings. If not provided, default configuration will be used.
Show child attributes
Show child attributes
User ID who created the AI Sales Agent
"01a08b36-6a33-7573-bd0d-5b9e845f1e69"
ID of the master lead list associated with this AI Sales Agent
"01a08b36-6a33-7573-bd0d-5b9f3782d39f"
The agent type. 2 = Sales Agent, 4 = Affiliate Agent, 7 = Recruiting Agent, 8 = Investment Agent, 9 = User Research Agent, 10 = Partnership Agent. Defaults to 2 (Sales Agent) if not provided.
2, 4, 7, 8, 9, 10 2
When enabled, the agent learns from past campaign performance to iteratively improve its outreach strategy.
false
Timestamp of the last action taken by the AI Sales Agent
"2026-09-10T12:06:34.291Z"
Timestamp of the last decision made by the AI Sales Agent
"2026-09-10T12:06:34.291Z"
Timestamp of the next scheduled decision time
"2026-09-10T12:06:34.291Z"